#!/usr/bin/php
<?php

namespace s9e\TextFormatter\Tests;

class Test {}

function _array(array $arr)
{
	$i = -1;

	$php = '[';
	foreach ($arr as $k => $v)
	{
		if (++$i)
		{
			$php .= ', ';
		}

		if (!is_numeric($k))
		{
			$php .= var_export($k, true) . ' => ';
		}

		$php .= (is_array($v)) ? _array($v) : var_export($v, true);
	}

	$php .= ']';

	return $php;
}

include __DIR__ . '/../tests/Configurator/Helpers/RegexpBuilderTest.php';

$test = new Configurator\Helpers\RegexpBuilderTest;

$php = '';
foreach ($test->getWordsLists() as $k => $case)
{
	$regexp   = var_export($case[0], true);
	$wordlist = _array($case[1]);

	$php .= "\n\t/**\n\t* @testdox fromList(" . $wordlist;

	if (isset($case[2]))
	{
		$options = strtr(json_encode($case[2]), [
			'{' => '[',
			'}' => ']',
			',' => ', ',
			':' => ' => '
		]);

		$php .= ', ' . $options . '';
	}

	// Special case for handling the non-UTF test case
	if ($regexp === "'\xC2[\xBC\xBD]'")
	{
		$regexp = '"\\xC2[\\xBC\\xBD]"';
	}

	$php .= ") returns " . $regexp . "\n\t*/\n\tpublic function test_" . strtoupper(dechex(crc32(serialize($case)))) . "()\n\t{\n\t\t\$this->fromListTestCase(" . $k . ");\n\t}\n";
}

$filepath = __DIR__ . '/../tests/Configurator/Helpers/RegexpBuilderTest.php';
$oldFile = file_get_contents($filepath);

$startComment = '// Start of content generated by ../../../scripts/patchRegexpBuilderTest.php';
$endComment = "\t// End of content generated by ../../../scripts/patchRegexpBuilderTest.php";

$newFile = substr($oldFile, 0, strpos($oldFile, $startComment) + strlen($startComment))
         . $php
         . substr($oldFile, strpos($oldFile, $endComment));

if ($newFile !== $oldFile)
{
	echo "Patching $filepath\n";
	file_put_contents($filepath, $newFile);
}

die("Done.\n");