#!/bin/bash

cd $(dirname "$0")

# Disable unused extensions
echo "Removing OPCache and XDebug"
phpenv config-rm opcache.ini
phpenv config-rm xdebug.ini

# Install code coverage tools if applicable
if [ -n "$COVERAGE" ]
then
	echo "Installing Scrutinizer"
	sh -c "./installScrutinizer.sh 2>&1 &" >/dev/null 2>&1 &
fi

# Install Composer dependencies after XDebug has been removed
echo "Installing Composer dependencies"
./installComposer.sh 2>&1 &

# Install Closure Compiler
echo "Installing Closure Compiler"
./installClosureCompiler.sh >/dev/null 2>&1 &

# The cache dir lets the MediaEmbed plugin cache scraped content
mkdir ../../tests/.cache

wait

# Prepare the files as for a release branch
../build/prepareFiles.sh

# Start a local webserver for the Http helper's tests
echo "Starting webserver"
php -S localhost:8000 -d "always_populate_raw_post_data=-1" -t ../../tests 2>/dev/null &
